# Emoji reactions

Emoji reactions let you quickly respond to a message. For example, 👍 is
commonly used to express agreement or confirm that you've [read the
message](/help/read-receipts). Any emoji can be used as a reaction, including
[custom emoji](/help/custom-emoji). Reactions appear at the bottom of the
message.

## Add a new reaction

{start_tabs}

{tab|desktop-web}

{!message-actions.md!}

1. Click the **smiley face** (<i class="fa fa-smile-o"></i>) icon.

    !!! warn ""

        For messages that you've sent, click on the **ellipsis**
        (<i class="zulip-icon zulip-icon-ellipsis-v-solid"></i>) and then
        **Add emoji reaction**.

1. Select an emoji. Type to search, use the arrow keys, or click on an emoji
   with your mouse.

!!! tip ""
    To add multiple reactions without closing the emoji picker, hold the
    <kbd>Shift</kbd> key while selecting emoji.

{tab|mobile}

1. Long press on a message.

1. Select **Add a reaction** in the menu that appears.

1. Select an emoji. Type to search, or tap the emoji you'd like to use.

{end_tabs}

## Add or remove an existing reaction

{start_tabs}

{tab|desktop-web}

1. Click on an existing emoji reaction to add or remove your reaction.

!!! tip ""
    To make it easy to see which reactions you have added, they are
    highlighted in a different color.

{tab|mobile}

1. Click on an existing emoji reaction to add or remove your reaction.

!!! tip ""
    Reactions you have added are highlighted in a different color.

{end_tabs}


## Viewing who reacted to a message

For messages where few users have reacted, the names of users who have reacted
are displayed directly on the message if the [option to do
so](#toggle-whether-names-of-reacting-users-are-displayed) is enabled.

### View who reacted to a message

{start_tabs}

{tab|desktop-web}

1. Hover over an emoji reaction to see who reacted with that emoji.

{tab|mobile}

1. Long-press an emoji reaction to see who reacted with that emoji.

{end_tabs}

### Toggle whether names of reacting users are displayed

{start_tabs}

{settings_tab|display-settings}

1. Under **Theme**, toggle **Display names of reacting users when few users have
   reacted to a message**.

{end_tabs}

## Related articles

* [Add custom emoji](/help/custom-emoji)
* [Emoji in messages](/help/emoji-and-emoticons)
