# Marking messages as read

Zulip automatically keeps track of which messages you have and haven't read.
Unread messages have a line along the left side, which fades when the message
gets marked as read.

Zulip offers tools to manually mark one or more messages as read, and you can
configure whether messages are marked as read automatically when you scroll.

## Configure whether messages are automatically marked as read

{start_tabs}

{tab|mobile}

{!mobile-profile-menu.md!}

1. Tap **Settings**.

1. Tap **Mark messages as read on scroll**.

1. Select **Always**, **Never** or **Only in conversation views**.

{end_tabs}

## Mark a message as read

{start_tabs}

{tab|desktop-web}

1. Select the message using the **blue box** to mark it as read. You can scroll
   the **blue box** using the mouse, or with [keyboard navigation
   shortcuts](/help/keyboard-shortcuts#navigation).

{end_tabs}

## Mark all messages as read

You can manually **mark all messages as read**, or **mark all messages in a
stream or topic as read**.

{start_tabs}

{tab|desktop-web}

1. Hover over a stream, topic, or **All messages** in the left sidebar.

1. Click on the **ellipsis** (<i class="zulip-icon zulip-icon-ellipsis-v-solid"></i>).

1. Click **Mark all messages as read**.

!!! tip ""

    You can also mark all messages in your current view as read by
    jumping to the bottom with the **Scroll to bottom**
    (<i class="fa fa-chevron-down"></i>) button or the <kbd>End</kbd> shortcut.

{tab|mobile}

1. Tap a stream, topic, or the **All messages**
   (<img src="/static/images/help/mobile-globe-icon.svg" alt="globe" class="mobile-icon"/>)
   tab.

2. Tap **Mark stream as read**, **Mark topic as read**, or **Mark all as read**
   near the top right corner of the app.

!!! tip ""

    You can also press and hold a topic until the long-press menu appears, and
    select **Mark topic as read**.

{end_tabs}

## Related articles

* [Marking messages as unread](/help/marking-messages-as-unread)
* [Reading strategies](/help/reading-strategies)
* [Read receipts](/help/read-receipts)
