# Marking messages as unread

Zulip lets you manually mark messages as unread. Specifically, Zulip offers a
**Mark as unread from here** option, which lets you mark the selected message
and all newer messages in your current view as unread.

There are many ways to use this feature, including:

- When you don't have time to read a conversation carefully, or to follow up on
  action items, mark messages as unread to return to them later.

- You can mark messages as unread when you [subscribe to a
  stream](/help/browse-and-subscribe-to-streams). This makes it
  [convenient](/help/reading-strategies) to review all the recent
  conversations in that stream.

- Mark the results of your [search](/help/search-for-messages) as unread to
  review them at leisure.

## Mark as unread from selected message

{start_tabs}

{tab|desktop-web}

{!message-actions-menu.md!}

1. Click **Mark as unread from here**.

!!! keyboard_tip ""

    You can also mark messages as unread by selecting a message, and using the
    <kbd>Shift</kbd> + <kbd>U</kbd> shortcut.

{tab|mobile}

{!message-long-press-menu.md!}

1. Tap **Mark as unread from here**.

{end_tabs}

## Related articles

* [Reading strategies](/help/reading-strategies)
* [Marking messages as read](/help/marking-messages-as-read)
* [Star a message](/help/star-a-message)
* [Read receipts](/help/read-receipts)
