# View someone's profile

A user's profile displays key information about the user.

## Information in a user's profile

{start_tabs}

{tab|desktop-web}

- Their name.
- Their email address, if you [have
  permission](/help/restrict-visibility-of-email-addresses) to view it.
- Their user ID.
- Their [role](/help/roles-and-permissions) in the organization.
- The date they joined the organization.
- Their current [local time](/help/change-your-timezone).
- Their [availability](/help/status-and-availability#availability).
- Any [custom profile fields](/help/custom-profile-fields) they've filled out.

Additional tabs showing:

- The streams that the user is subscribed to. Note that the list is limited to
  streams for which you have [permission to see all
  subscribers](/help/stream-permissions).
- The [user groups](/help/user-groups) to which they belong.

{tab|mobile}

- Their name.
- Their email address, if you [have
  permission](/help/restrict-visibility-of-email-addresses) to view it.
- Their current [local time](/help/change-your-timezone).
- Their [status and availability](/help/status-and-availability).
- Any [custom profile fields](/help/custom-profile-fields) they've filled out.

{end_tabs}

## View someone's profile

{start_tabs}

{tab|desktop-web}

{!right-sidebar-view-profile.md!}

!!! Tip ""

    You can also click on a user's profile picture or name on a
    message they sent to open their **user card**, and skip to
    the last step.

{tab|mobile}

1. Tap on a user's profile picture or name.

!!! Tip ""

    If you are viewing a private message conversation, you can also tap the information
    (<img src="/static/images/help/mobile-info-circle-icon.svg" alt="information" class="mobile-icon"/>)
    button in the top right corner of the app.

{end_tabs}

## Related articles

* [Edit your profile](/help/edit-your-profile)
* [Custom profile fields](/help/custom-profile-fields)
* [User cards](/help/user-cards)
