# Zulip Cloud billing

This page answers some frequently asked questions about [Zulip Cloud plans and
pricing](https://zulip.com/plans). If you have any other questions, please don't hesitate to
reach out at sales@zulip.com.

## Differences between Zulip Cloud plans

### How does having 10,000 messages of search history on Zulip Cloud Free work?

Only the most recent 10,000 messages can be viewed and searched on the Zulip
Cloud Free plan. Older messages are still stored and will become available
again if the organization is upgraded to Zulip Cloud Standard.

### Will you switch to limiting Zulip Cloud Free history to messages sent in the last 90 days (like Slack has)?

**No.** As discussed in [this blog
post](https://blog.zulip.com/2022/08/26/why-slacks-free-plan-change-is-causing-an-exodus/),
a time-based limit to message history is simply a bad model for a collaboration
tool.

## Payment methods

### Can I pay by credit card and/or invoice?

You can always use a credit card to pay. If you would like to pay by invoice,
you will need to sign up for an annual plan.

### What is the difference between automatic and manual billing?

With automatic billing, you automatically purchase a Zulip license for each user
in your organization at the start of each billing period (month or year).
[Deactivating a user][deactivate-user] frees up their license for reuse.
Additional licenses are purchased automatically as needed.

With manual billing, you choose and pay for a preset user limit. If
he limit is reached, no more users can join until licenses are manually
added.

In general, selecting automatic billing is highly recommended unless you
have a specific reason to do otherwise.

## Temporary users and guests

### How will I be charged for temporary users (e.g. limited-time clients)?

Users [can be deactivated][deactivate-user] any time. Deactivating a user frees
up their license for reuse.

### How are guest accounts billed? Is there special pricing?

For an organization with N other users, 5*N [guest
users](/help/roles-and-permissions) are included at no extra charge. After that,
you will be charged at 1/5 of your regular per-user pricing for each additional
guest.

## Related articles

* [Trying out Zulip](/help/trying-out-zulip)
* [Zulip Cloud or self-hosting?](/help/zulip-cloud-or-self-hosting)
* [Migrating from other chat tools](/help/migrating-from-other-chat-tools)
* [Contact support](/help/contact-support)

[deactivate-user]: /help/deactivate-or-reactivate-a-user#deactivate-a-user
